#!/usr/bin/perl
############################
## LOOK N FEEL            ##
############################
$SITE_NAME = "Kwotes";
# the name of the site

@TAG_LINES = (
	"For happy goodness!",
	"The better kwote database.",
	"It blows goats!"
);
# tag lines to be randomly displayed
# in the header

$DEFAULT_TEMPLATE = "default";
# name of the default template

############################
## DATABASE CONFIGURATION ##
############################
$DB_TYPE = "mysql";
# dbi database type (only MySQL is
# supported currently, due to the
# fact that "LIMIT X,X", and "RAND()"
# is used

$DB_NAME = "k121598_kwotes";
# database name

$DB_HOST = "mysql4-k";
# database host

$DB_USER = "k121598rw";
# database user

$DB_PASS = "kw0t3s";
# database password

############################
## GENERAL STUFF          ##
############################
$SECS_BETWEEN_KWOTES = 60*60;
# seconds a user must wait after
# submitting MAX_KWOTES_PER_IP
# kwotes to the system before they
# are allowed to submit another
# kwote

$KWOTE_DEATH_RATING = -1;
# lowest rating a quote can be
# before it's deleted.  A kwote is
# only deleted if it's been this
# number (or lower) for longer than
# the KWOTE_TTL

$KWOTE_TTL = (60*60)*24;	
# seconds before a "dead"
# quote is moved to the kwote
# backup table and deleted

$VOTE_TTL = (60*60)*24;
# seconds a vote log lasts, the vote
# log is the mechanism that keeps
# people from voting over and over

$MAX_VOTES_PER_IP = 4;
# maximum votes per ip address per
# VOTE_TTL seconds.

$MAX_KWOTES_PER_IP = 5;
# maximum kwotes allowed per ip
# in SECS_BETWEEN_KWOTES

1;
